Subject: marking (cherry-pick) commits ?

From: Marc Weber <[email-masked]>
Date: Fri, 6 Mar 2009 15:41:25 +0100

I've this situation:

base --------- branch_A (svn trunk)
  ` ---------- branch_B (svn branch )

Some cherry picks have been done both dirctions.
Is there a way show gitk branch_A branch_B and mark cherry-picks?
I only know about --left-right --cherry-pick and such omitting them.

How does --cherry-pick work? Is it based on git-commit-id?
Probably it would be enough to write a simple script iterating over both
brnaches adding some temporary tags pointing out the pairs of
cherry-picked patches..

Is there another way "marking" patches?
Maybe it would be fun to use 

git tab tmp_dont_commit_red_message
git tab tmp_dont_commit_green_message

and ask gitk to show them in red and green?

Can I tell git push to not push all tags starting with tmp_dont_commit_
?

There are only about 120 patches.. So I can manually handle that case..
But I guess git can do better.

Sincerly
Marc Weber